// getServerSideProps should only be used if you need to pre-render a page with data fetched at request time
export const getServerSideProps = async () => {
  const req = await fetch(`https://pokeapi.co/api/v2/pokemon`, {
    method: "GET"
  });
  const resp = await req.json();
  const pokemons = resp.results;
  // console.log(pokemons);

  return {
    props: { pokemons }
  };
};

const index = ({ pokemons }: { pokemons: any }) => {
  return (
    <div>
      <h1>Data fetching in NextJs</h1>
      <ul>
        {pokemons.map((pokemon, index) => (
          <li key={index}>{pokemon.name}</li>
        ))}
      </ul>
    </div>
  );
};

export default index;
